--- old/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_003_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_003_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,9 +47,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Verify a snapshot will only be allowed if there is enough " \
@@ -57,18 +57,18 @@
 log_onexit cleanup
 
 fs=$TESTPOOL/$TESTFS
-log_must $ZFS set quota=25M $fs
-log_must $ZFS set refreservation=10M $fs
+log_must zfs set quota=25M $fs
+log_must zfs set refreservation=10M $fs
 
 mntpnt=$(get_prop mountpoint $fs)
-log_must $MKFILE 7M $mntpnt/$TESTFILE
-log_must $ZFS snapshot $fs@snap
+log_must mkfile 7M $mntpnt/$TESTFILE
+log_must zfs snapshot $fs@snap
 
-log_must $MKFILE 7M $mntpnt/$TESTFILE.2
-log_must $ZFS snapshot $fs@snap2
+log_must mkfile 7M $mntpnt/$TESTFILE.2
+log_must zfs snapshot $fs@snap2
 
-log_must $MKFILE 7M $mntpnt/$TESTFILE.3
-log_mustnot $ZFS snapshot $fs@snap3
+log_must mkfile 7M $mntpnt/$TESTFILE.3
+log_mustnot zfs snapshot $fs@snap3
 if datasetexists $fs@snap3 ; then
 	log_fail "ERROR: $fs@snap3 should not exists."
 fi
--- old/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_004_pos.ksh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_004_pos.ksh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,11 +47,11 @@
 function cleanup
 {
 	if is_global_zone ; then
-		log_must $ZFS set refreservation=none $TESTPOOL
+		log_must zfs set refreservation=none $TESTPOOL
 	fi
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Verify refreservation is limited by available space."
@@ -58,7 +58,7 @@
 log_onexit cleanup
 
 pool=$TESTPOOL ; fs=$pool/$TESTFS ; subfs=$fs/subfs
-log_must $ZFS create $subfs
+log_must zfs create $subfs
 
 typeset datasets
 if is_global_zone; then
@@ -68,23 +68,23 @@
 fi
 
 for ds in $datasets; do
-	log_must $ZFS set quota=25M $ds
-	log_must $ZFS set refreservation=15M $ds
+	log_must zfs set quota=25M $ds
+	log_must zfs set refreservation=15M $ds
 
 	typeset -i avail
 	avail=$(get_prop avail $subfs)
-	log_must $ZFS set refreservation=$avail $subfs
+	log_must zfs set refreservation=$avail $subfs
 	typeset mntpnt
 	mntpnt=$(get_prop mountpoint $subfs)
-	log_must $MKFILE $avail $mntpnt/$TESTFILE
+	log_must mkfile $avail $mntpnt/$TESTFILE
 
 	typeset -i exceed
 	((exceed = avail + 1))
-	log_mustnot $ZFS set refreservation=$exceed $subfs
-	log_mustnot $MKFILE $avail $mntpnt/$TESTFILE
+	log_mustnot zfs set refreservation=$exceed $subfs
+	log_mustnot mkfile $avail $mntpnt/$TESTFILE
 
-	log_must $ZFS set quota=none $ds
-	log_must $ZFS set reservation=15M $ds
+	log_must zfs set quota=none $ds
+	log_must zfs set reservation=15M $ds
 done
 
 log_pass "Verify refreservation is limited by available space."
--- old/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_005_pos.ksh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_005_pos.ksh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,9 +46,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Volume refreservation is limited by volsize"
@@ -55,17 +55,17 @@
 log_onexit cleanup
 
 fs=$TESTPOOL/$TESTFS; vol=$fs/vol
-log_must $ZFS create -V 10M $vol
+log_must zfs create -V 10M $vol
 
 # Verify the parent filesystem does not affect volume
-log_must $ZFS set quota=25M $fs
-log_must $ZFS set refreservation=10M $vol
+log_must zfs set quota=25M $fs
+log_must zfs set refreservation=10M $vol
 avail=$(get_prop mountpoint $vol)
-log_mustnot $ZFS set refreservation=$avail $vol
+log_mustnot zfs set refreservation=$avail $vol
 
 # Verify it is affected by volsize
-log_must $ZFS set volsize=15M $vol
-log_must $ZFS set refreservation=15M $vol
-log_mustnot $ZFS set refreservation=16M $vol
+log_must zfs set volsize=15M $vol
+log_must zfs set refreservation=15M $vol
+log_mustnot zfs set refreservation=16M $vol
 
 log_pass "Volume refreservation is limited by volsize"
--- old/usr/src/test/zfs-tests/tests/functional/rename_dirs/rename_dirs_001_pos.ksh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rename_dirs/rename_dirs_001_pos.ksh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,7 +48,7 @@
 
 function cleanup
 {
-	log_must $RM -rf $TESTDIR/*
+	log_must rm -rf $TESTDIR/*
 }
 
 log_assert "ZFS can handle race directory rename operation."
@@ -55,17 +55,17 @@
 
 log_onexit cleanup
 
-$CD $TESTDIR
-$MKDIR -p 1/2/3/4/5 a/b/c/d/e
+cd $TESTDIR
+mkdir -p 1/2/3/4/5 a/b/c/d/e
 
 $RENAME_DIRS &
 
-$SLEEP 500
+sleep 500
 typeset -i retval=1
-$PGREP $RENAME_DIRS >/dev/null 2>&1
+pgrep $RENAME_DIRS >/dev/null 2>&1
 retval=$?
 if (( $retval == 0 )); then
-	$PKILL -9 $RENAME_DIRS >/dev/null 2>&1
+	pkill -9 $RENAME_DIRS >/dev/null 2>&1
 fi
 
 log_pass "ZFS handle race directory rename operation as expected."
--- old/usr/src/test/zfs-tests/tests/functional/replacement/replacement_001_pos.ksh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/replacement/replacement_001_pos.ksh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	if [[ -n "$child_pids" ]]; then
 		for wait_pid in $child_pids
 		do
-		        $KILL $wait_pid
+		        kill $wait_pid
 		done
 	fi
 
@@ -58,7 +58,7 @@
 		destroy_pool $TESTPOOL1
 	fi
 
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Replacing a disk during I/O completes."
@@ -94,13 +94,13 @@
 
 	typeset i=0
 	while [[ $i -lt $iters ]]; do
-		log_note "Invoking $FILE_TRUNC with: $options_display"
-		$FILE_TRUNC $options $TESTDIR/$TESTFILE.$i &
+		log_note "Invoking file_trunc with: $options_display"
+		file_trunc $options $TESTDIR/$TESTFILE.$i &
 		typeset pid=$!
 
-		$SLEEP 1
-		if ! $PS -p $pid > /dev/null 2>&1; then
-			log_fail "$FILE_TRUNC $options $TESTDIR/$TESTFILE.$i"
+		sleep 1
+		if ! ps -p $pid > /dev/null 2>&1; then
+			log_fail "file_trunc $options $TESTDIR/$TESTFILE.$i"
 		fi
 
 		child_pids="$child_pids $pid"
@@ -107,21 +107,21 @@
 		((i = i + 1))
 	done
 
-	log_must $ZPOOL replace $opt $TESTPOOL1 $disk1 $disk2
+	log_must zpool replace $opt $TESTPOOL1 $disk1 $disk2
 
-	$SLEEP 10
+	sleep 10
 
 	for wait_pid in $child_pids
 	do
-		$KILL $wait_pid
+		kill $wait_pid
 	done
 	child_pids=""
 
-        log_must $ZPOOL export $TESTPOOL1
-        log_must $ZPOOL import -d $TESTDIR $TESTPOOL1
-        log_must $ZFS umount $TESTPOOL1/$TESTFS1
-        log_must $ZDB -cdui $TESTPOOL1/$TESTFS1
-        log_must $ZFS mount $TESTPOOL1/$TESTFS1
+        log_must zpool export $TESTPOOL1
+        log_must zpool import -d $TESTDIR $TESTPOOL1
+        log_must zfs umount $TESTPOOL1/$TESTFS1
+        log_must zdb -cdui $TESTPOOL1/$TESTFS1
+        log_must zfs mount $TESTPOOL1/$TESTFS1
 
 }
 
@@ -128,7 +128,7 @@
 specials_list=""
 i=0
 while [[ $i != 2 ]]; do
-        $MKFILE $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
+        mkfile $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
         specials_list="$specials_list $TESTDIR/$TESTFILE1.$i"
 
         ((i = i + 1))
@@ -137,23 +137,23 @@
 #
 # Create a replacement disk special file.
 #
-$MKFILE $MINVDEVSIZE $TESTDIR/$REPLACEFILE
+mkfile $MINVDEVSIZE $TESTDIR/$REPLACEFILE
 
 for type in "" "raidz" "raidz1" "mirror"; do
 	for op in "" "-f"; do
 		create_pool $TESTPOOL1 $type $specials_list
-		log_must $ZFS create $TESTPOOL1/$TESTFS1
-		log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
+		log_must zfs create $TESTPOOL1/$TESTFS1
+		log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
 
 		replace_test "$opt" $TESTDIR/$TESTFILE1.1 $TESTDIR/$REPLACEFILE
 
-		$ZPOOL iostat -v $TESTPOOL1 | grep "$TESTDIR/$REPLACEFILE"
+		zpool iostat -v $TESTPOOL1 | grep "$TESTDIR/$REPLACEFILE"
 		if [[ $? -ne 0 ]]; then
 			log_fail "$REPLACEFILE is not present."
 		fi
 
 		destroy_pool $TESTPOOL1
-		log_must $RM -rf /$TESTPOOL1
+		log_must rm -rf /$TESTPOOL1
 	done
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/replacement/replacement_002_pos.ksh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/replacement/replacement_002_pos.ksh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	if [[ -n "$child_pids" ]]; then
 		for wait_pid in $child_pids
 		do
-		        $KILL $wait_pid
+		        kill $wait_pid
 		done
 	fi
 
@@ -58,7 +58,7 @@
 		destroy_pool $TESTPOOL1
 	fi
 
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Replacing a disk during I/O completes."
@@ -94,13 +94,13 @@
 
 	typeset i=0
 	while [[ $i -lt $iters ]]; do
-		log_note "Invoking $FILE_TRUNC with: $options_display"
-		$FILE_TRUNC $options $TESTDIR/$TESTFILE.$i &
+		log_note "Invoking file_trunc with: $options_display"
+		file_trunc $options $TESTDIR/$TESTFILE.$i &
 		typeset pid=$!
 
-		$SLEEP 1
-		if ! $PS -p $pid > /dev/null 2>&1; then
-			log_fail "$FILE_TRUNC $options $TESTDIR/$TESTFILE.$i"
+		sleep 1
+		if ! ps -p $pid > /dev/null 2>&1; then
+			log_fail "file_trunc $options $TESTDIR/$TESTFILE.$i"
 		fi
 
 		child_pids="$child_pids $pid"
@@ -107,21 +107,21 @@
 		((i = i + 1))
 	done
 
-	log_must $ZPOOL attach $opt $TESTPOOL1 $disk1 $disk2
+	log_must zpool attach $opt $TESTPOOL1 $disk1 $disk2
 
-	$SLEEP 10
+	sleep 10
 
 	for wait_pid in $child_pids
 	do
-		$KILL $wait_pid
+		kill $wait_pid
 	done
 	child_pids=""
 
-        log_must $ZPOOL export $TESTPOOL1
-        log_must $ZPOOL import -d $TESTDIR $TESTPOOL1
-        log_must $ZFS umount $TESTPOOL1/$TESTFS1
-        log_must $ZDB -cdui $TESTPOOL1/$TESTFS1
-        log_must $ZFS mount $TESTPOOL1/$TESTFS1
+        log_must zpool export $TESTPOOL1
+        log_must zpool import -d $TESTDIR $TESTPOOL1
+        log_must zfs umount $TESTPOOL1/$TESTFS1
+        log_must zdb -cdui $TESTPOOL1/$TESTFS1
+        log_must zfs mount $TESTPOOL1/$TESTFS1
 
 }
 
@@ -128,7 +128,7 @@
 specials_list=""
 i=0
 while [[ $i != 2 ]]; do
-	$MKFILE $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
+	mkfile $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
 	specials_list="$specials_list $TESTDIR/$TESTFILE1.$i"
 
 	((i = i + 1))
@@ -137,16 +137,16 @@
 #
 # Create a replacement disk special file.
 #
-$MKFILE $MINVDEVSIZE $TESTDIR/$REPLACEFILE
+mkfile $MINVDEVSIZE $TESTDIR/$REPLACEFILE
 
 for op in "" "-f"; do
 	create_pool $TESTPOOL1 mirror $specials_list
-	log_must $ZFS create $TESTPOOL1/$TESTFS1
-	log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
+	log_must zfs create $TESTPOOL1/$TESTFS1
+	log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
 
 	attach_test "$opt" $TESTDIR/$TESTFILE1.1 $TESTDIR/$REPLACEFILE
 
-	$ZPOOL iostat -v $TESTPOOL1 | grep "$TESTDIR/$REPLACEFILE"
+	zpool iostat -v $TESTPOOL1 | grep "$TESTDIR/$REPLACEFILE"
 	if [[ $? -ne 0 ]]; then
 		log_fail "$REPLACEFILE is not present."
 	fi
@@ -159,13 +159,13 @@
 for type in "" "raidz" "raidz1"; do
 	for op in "" "-f"; do
 		create_pool $TESTPOOL1 $type $specials_list
-		log_must $ZFS create $TESTPOOL1/$TESTFS1
-		log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
+		log_must zfs create $TESTPOOL1/$TESTFS1
+		log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
 
-		log_mustnot $ZPOOL attach "$opt" $TESTDIR/$TESTFILE1.1 \
+		log_mustnot zpool attach "$opt" $TESTDIR/$TESTFILE1.1 \
 		    $TESTDIR/$REPLACEFILE
 
-		$ZPOOL iostat -v $TESTPOOL1 | grep "$TESTDIR/$REPLACEFILE"
+		zpool iostat -v $TESTPOOL1 | grep "$TESTDIR/$REPLACEFILE"
 		if [[ $? -eq 0 ]]; then
 		        log_fail "$REPLACEFILE should not be present."
 		fi
--- old/usr/src/test/zfs-tests/tests/functional/replacement/replacement_003_pos.ksh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/replacement/replacement_003_pos.ksh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	if [[ -n "$child_pids" ]]; then
 		for wait_pid in $child_pids
 		do
-		        $KILL $wait_pid
+		        kill $wait_pid
 		done
 	fi
 
@@ -58,7 +58,7 @@
 		destroy_pool $TESTPOOL1
 	fi
 
-	[[ -e $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
+	[[ -e $TESTDIR ]] && log_must rm -rf $TESTDIR/*
 }
 
 log_assert "Replacing a disk during I/O completes."
@@ -92,13 +92,13 @@
 
 	typeset i=0
 	while [[ $i -lt $iters ]]; do
-		log_note "Invoking $FILE_TRUNC with: $options_display"
-		$FILE_TRUNC $options $TESTDIR/$TESTFILE.$i &
+		log_note "Invoking file_trunc with: $options_display"
+		file_trunc $options $TESTDIR/$TESTFILE.$i &
 		typeset pid=$!
 
-		$SLEEP 1
-		if ! $PS -p $pid > /dev/null 2>&1; then
-			log_fail "$FILE_TRUNC $options $TESTDIR/$TESTFILE.$i"
+		sleep 1
+		if ! ps -p $pid > /dev/null 2>&1; then
+			log_fail "file_trunc $options $TESTDIR/$TESTFILE.$i"
 		fi
 
 		child_pids="$child_pids $pid"
@@ -105,27 +105,27 @@
 		((i = i + 1))
 	done
 
-	log_must $ZPOOL detach $TESTPOOL1 $disk1
+	log_must zpool detach $TESTPOOL1 $disk1
 
-	$SLEEP 10
+	sleep 10
 
 	for wait_pid in $child_pids
 	do
-		$KILL $wait_pid
+		kill $wait_pid
 	done
 	child_pids=""
 
-        log_must $ZPOOL export $TESTPOOL1
-        log_must $ZPOOL import -d $TESTDIR $TESTPOOL1
-        log_must $ZFS umount $TESTPOOL1/$TESTFS1
-        log_must $ZDB -cdui $TESTPOOL1/$TESTFS1
-        log_must $ZFS mount $TESTPOOL1/$TESTFS1
+        log_must zpool export $TESTPOOL1
+        log_must zpool import -d $TESTDIR $TESTPOOL1
+        log_must zfs umount $TESTPOOL1/$TESTFS1
+        log_must zdb -cdui $TESTPOOL1/$TESTFS1
+        log_must zfs mount $TESTPOOL1/$TESTFS1
 }
 
 specials_list=""
 i=0
 while [[ $i != 2 ]]; do
-	$MKFILE $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
+	mkfile $MINVDEVSIZE $TESTDIR/$TESTFILE1.$i
 	specials_list="$specials_list $TESTDIR/$TESTFILE1.$i"
 
 	((i = i + 1))
@@ -132,12 +132,12 @@
 done
 
 create_pool $TESTPOOL1 mirror $specials_list
-log_must $ZFS create $TESTPOOL1/$TESTFS1
-log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
+log_must zfs create $TESTPOOL1/$TESTFS1
+log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
 
 detach_test $TESTDIR/$TESTFILE1.1
 
-$ZPOOL iostat -v $TESTPOOL1 | grep "$TESTDIR/$TESTFILE1.1"
+zpool iostat -v $TESTPOOL1 | grep "$TESTDIR/$TESTFILE1.1"
 if [[ $? -eq 0 ]]; then
 	log_fail "$TESTFILE1.1 should no longer be present."
 fi
@@ -148,12 +148,12 @@
 
 for type in "" "raidz" "raidz1" ; do
 	create_pool $TESTPOOL1 $type $specials_list
-	log_must $ZFS create $TESTPOOL1/$TESTFS1
-	log_must $ZFS set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
+	log_must zfs create $TESTPOOL1/$TESTFS1
+	log_must zfs set mountpoint=$TESTDIR1 $TESTPOOL1/$TESTFS1
 
-	log_mustnot $ZPOOL detach $TESTDIR/$TESTFILE1.1
+	log_mustnot zpool detach $TESTDIR/$TESTFILE1.1
 
-	$ZPOOL iostat -v $TESTPOOL1 | grep "$TESTDIR/$TESTFILE1.1"
+	zpool iostat -v $TESTPOOL1 | grep "$TESTDIR/$TESTFILE1.1"
 	if [[ $? -ne 0 ]]; then
 	        log_fail "$TESTFILE1.1 is not present."
 	fi
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation.shlib	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation.shlib	Wed Aug 31 16:21:25 2016
@@ -41,9 +41,9 @@
 	typeset resv_val
 	dataset=$1
 
-	log_must $ZFS set reservation=none $dataset
+	log_must zfs set reservation=none $dataset
 
-	resv_val=`$ZFS get -H reservation $dataset | awk '{print $3}'`
+	resv_val=`zfs get -H reservation $dataset | awk '{print $3}'`
 	if [[ $? -ne 0 ]]; then
 		log_fail "Unable to get reservation prop on $dataset"
 	elif [[ $resv_val != "none" ]]; then
@@ -51,7 +51,7 @@
 	fi
 
 
-	resv_val=`$ZFS get -pH reservation $dataset | awk '{print $3}'`
+	resv_val=`zfs get -pH reservation $dataset | awk '{print $3}'`
 	if [[ $? -ne 0 ]]; then
 		log_fail "Unable to get reservation prop on $dataset"
 	elif [[ $resv_val -ne 0 ]]; then
@@ -100,8 +100,8 @@
 	typeset MNT_NAME=$3
 
 	while  (($iter < $count)); do
-		log_must $ZFS create ${FS_NAME}$iter
-		log_must $ZFS set mountpoint=${MNT_NAME}$iter ${FS_NAME}$iter
+		log_must zfs create ${FS_NAME}$iter
+		log_must zfs set mountpoint=${MNT_NAME}$iter ${FS_NAME}$iter
 		((iter = iter + 1))
 	done
 }
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_001_pos.sh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_001_pos.sh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +54,7 @@
 function cleanup
 {
 	for obj in $OBJ_LIST; do
-		datasetexists $obj && log_must $ZFS destroy -f $obj
+		datasetexists $obj && log_must zfs destroy -f $obj
 	done
 }
 
@@ -80,10 +80,10 @@
 	# setting a reservation upon it (i.e. the size of the volume)
 	# which we reset back to zero initially.
 	#
-	log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
-	log_must $ZFS set reservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS set refreservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+	log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
+	log_must zfs set reservation=none $TESTPOOL/$TESTVOL
+	log_must zfs set refreservation=none $TESTPOOL/$TESTVOL
+	log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 fi
 
 
@@ -101,7 +101,7 @@
 	[[ $obj == $TESTPOOL/$TESTVOL ]] && \
 	    ((resv_size_set = vol_set_size - RESV_DELTA))
 
-	log_must $ZFS set reservation=$resv_size_set $obj
+	log_must zfs set reservation=$resv_size_set $obj
 
 	resv_size_get=`get_prop reservation $obj`
 	if [[ $resv_size_set != $resv_size_get ]]; then
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_002_pos.sh	Wed Aug 31 16:21:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_002_pos.sh	Wed Aug 31 16:21:25 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +54,7 @@
 function cleanup
 {
 	for obj in $OBJ_LIST; do
-		datasetexists $obj && log_must $ZFS destroy -f $obj
+		datasetexists $obj && log_must zfs destroy -f $obj
 	done
 
 	log_must zero_reservation $TESTPOOL/$TESTFS
@@ -77,9 +77,9 @@
 	((sparse_vol_set_size = space_avail * 4))
 	sparse_vol_set_size=$(floor_volsize $sparse_vol_set_size)
 
-	log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
-	log_must $ZFS set reservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+	log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
+	log_must zfs set reservation=none $TESTPOOL/$TESTVOL
+	log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 fi
 
 for obj in $TESTPOOL/$TESTFS $OBJ_LIST ; do
@@ -96,7 +96,7 @@
 	    ((resv_size_set = vol_set_size + RESV_DELTA))
 
 	log_must zero_reservation $obj
-	log_mustnot $ZFS set reservation=$resv_size_set $obj
+	log_mustnot zfs set reservation=$resv_size_set $obj
 
 	resv_size_get=`get_prop reservation $obj`
 
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_003_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_003_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -59,7 +59,7 @@
 	log_must zero_reservation $TESTPOOL/$TESTFS
 
 	for obj in $OBJ_LIST; do
-	datasetexists $obj && log_must $ZFS destroy -f $obj
+	datasetexists $obj && log_must zfs destroy -f $obj
 	done
 }
 
@@ -96,7 +96,7 @@
 
 		((resv_size_set = resv_size * i))
 
-		log_must $ZFS set reservation=$resv_size_set $dataset
+		log_must zfs set reservation=$resv_size_set $dataset
 
 		resv_size_get=`get_prop reservation $dataset`
 		if [[ $resv_size_set != $resv_size_get ]]; then
@@ -121,9 +121,9 @@
 	sparse_vol_set_size=$(floor_volsize $sparse_vol_set_size)
 
 
-	log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
-	log_must $ZFS set reservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+	log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
+	log_must zfs set reservation=none $TESTPOOL/$TESTVOL
+	log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 fi
 
 for obj in $TESTPOOL/$TESTFS $OBJ_LIST ; do
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_004_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_004_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
 function cleanup {
 
 	for obj in $OBJ_LIST; do
-		datasetexists $obj && log_must $ZFS destroy -f $obj
+		datasetexists $obj && log_must zfs destroy -f $obj
 	done
 }
 
@@ -64,7 +64,7 @@
 
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS2
+log_must zfs create $TESTPOOL/$TESTFS2
 
 space_avail=`get_prop available $TESTPOOL`
 
@@ -79,10 +79,10 @@
 	((sparse_vol_set_size = space_avail * 4))
 	sparse_vol_set_size=$(floor_volsize $sparse_vol_set_size)
 
-	log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
-	log_must $ZFS set refreservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS set reservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+	log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
+	log_must zfs set refreservation=none $TESTPOOL/$TESTVOL
+	log_must zfs set reservation=none $TESTPOOL/$TESTVOL
+	log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 fi
 
 # re-calculate space available.
@@ -104,7 +104,7 @@
 	[[ $obj == $TESTPOOL/$TESTVOL ]] && \
 	    ((resv_size_set = vol_set_size - RESV_DELTA))
 
-	log_must $ZFS set reservation=$resv_size_set $obj
+	log_must zfs set reservation=$resv_size_set $obj
 
 	resv_size_get=`get_prop reservation $obj`
 	if [[ $resv_size_set != $resv_size_get ]]; then
@@ -112,7 +112,7 @@
 		"($resv_size_set != $resv_size_get)"
 	fi
 
-	log_must $ZFS destroy -f $obj
+	log_must zfs destroy -f $obj
 
 	new_space_avail=`get_prop available $TESTPOOL`
 	new_space_used=`get_prop used $TESTPOOL`
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_005_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_005_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -59,7 +59,7 @@
 function cleanup
 {
 	for obj in $OBJ_LIST; do
-		datasetexists $obj && log_must $ZFS destroy -f $obj
+		datasetexists $obj && log_must zfs destroy -f $obj
 	done
 }
 
@@ -77,9 +77,9 @@
 	sparse_vol_set_size=$(floor_volsize $sparse_vol_set_size)
 
 
-	log_must $ZFS create -V $vol_set_size $TESTPOOL/$TESTVOL
-	log_must $ZFS set reservation=none $TESTPOOL/$TESTVOL
-	log_must $ZFS create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
+	log_must zfs create -V $vol_set_size $TESTPOOL/$TESTVOL
+	log_must zfs set reservation=none $TESTPOOL/$TESTVOL
+	log_must zfs create -s -V $sparse_vol_set_size $TESTPOOL/$TESTVOL2
 fi
 
 space_avail=`get_prop available $TESTPOOL`
@@ -98,7 +98,7 @@
 	[[ $obj == $TESTPOOL/$TESTVOL ]] && \
 	    ((resv_size_set = vol_set_size - RESV_DELTA))
 
-	log_must $ZFS set reservation=$resv_size_set $obj
+	log_must zfs set reservation=$resv_size_set $obj
 
 	resv_size_get=`get_prop reservation $obj`
 	if [[ $resv_size_set != $resv_size_get ]]; then
@@ -106,7 +106,7 @@
 			"($resv_size_set != $resv_size_get)"
 	fi
 
-	log_must $ZFS set reservation=none $obj
+	log_must zfs set reservation=none $obj
 
 	new_space_avail=`get_prop available $TESTPOOL`
 	new_space_used=`get_prop used $TESTPOOL`
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_006_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_006_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,8 +56,8 @@
 
 function cleanup
 {
-	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must $RM -rf $TESTDIR/$TESTFILE1
-	log_must $ZFS set reservation=none $TESTPOOL/$TESTFS
+	[[ -e $TESTDIR/$TESTFILE1 ]] && log_must rm -rf $TESTDIR/$TESTFILE1
+	log_must zfs set reservation=none $TESTPOOL/$TESTFS
 }
 
 log_onexit cleanup
@@ -66,7 +66,7 @@
 
 space_used=`get_prop used $TESTPOOL`
 
-log_must $ZFS set reservation=$RESV_SIZE $TESTPOOL/$TESTFS
+log_must zfs set reservation=$RESV_SIZE $TESTPOOL/$TESTFS
 
 #
 # Calculate how many writes of BLOCK_SIZE it would take to fill
@@ -75,7 +75,7 @@
 fill_size=`expr $RESV_SIZE + 20971520`
 write_count=`expr $fill_size / $BLOCK_SIZE`
 
-log_must $FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE \
+log_must file_write -o create -f $TESTDIR/$TESTFILE1 -b $BLOCK_SIZE \
     -c $write_count -d 0
 
 log_pass "Able to create files inside and outside reserved area"
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_007_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_007_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,10 +56,10 @@
 function cleanup
 {
 	datasetexists $TESTPOOL/$TESTFS2 && \
-	    log_must $ZFS destroy -f $TESTPOOL/$TESTFS2
+	    log_must zfs destroy -f $TESTPOOL/$TESTFS2
 
 	datasetexists $TESTPOOL/$TESTFS1 && \
-	    log_must $ZFS destroy -f $TESTPOOL/$TESTFS1
+	    log_must zfs destroy -f $TESTPOOL/$TESTFS1
 }
 
 log_onexit cleanup
@@ -84,16 +84,16 @@
 	args2=$3
 	dataset2=$4
 
-	log_must $ZFS create $args1 $dataset1
+	log_must zfs create $args1 $dataset1
 
-	log_must $ZFS set reservation=$RESV_SIZE $dataset1
+	log_must zfs set reservation=$RESV_SIZE $dataset1
 
 	avail_aft_dset1=`get_prop available $TESTPOOL`
 	used_aft_dset1=`get_prop used $TESTPOOL`
 
-	log_must $ZFS create $args2 $dataset2
+	log_must zfs create $args2 $dataset2
 
-	log_must $ZFS set reservation=$RESV_SIZE $dataset2
+	log_must zfs set reservation=$RESV_SIZE $dataset2
 
 	#
 	# After destroying the second dataset the space used and
@@ -100,7 +100,7 @@
 	# available totals should revert back to the values they
 	# had after creating the first dataset.
 	#
-	log_must $ZFS destroy -f $dataset2
+	log_must zfs destroy -f $dataset2
 
 	avail_dest_dset2=`get_prop available $TESTPOOL`
 	used_dest_dset2=`get_prop used $TESTPOOL`
@@ -112,7 +112,7 @@
 	# After destroying the first dataset the space used and
 	# space available totals should revert back to the values
 	# they had when the pool was first created.
-	log_must $ZFS destroy -f $dataset1
+	log_must zfs destroy -f $dataset1
 
 	avail_dest_dset1=`get_prop available $TESTPOOL`
 	used_dest_dset1=`get_prop used $TESTPOOL`
--- old/usr/src/test/zfs-tests/tests/functional/reservation/reservation_008_pos.sh	Wed Aug 31 16:21:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/reservation/reservation_008_pos.sh	Wed Aug 31 16:21:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,9 +57,9 @@
 	typeset -i loop=0
 	while (($loop < $RESV_NUM_FS)); do
 		datasetexists $TESTPOOL/${TESTFS}$loop && \
-		    log_must $ZFS destroy -f $TESTPOOL/${TESTFS}$loop
+		    log_must zfs destroy -f $TESTPOOL/${TESTFS}$loop
 
-		[[ -d ${TESTDIR}$loop ]] && log_must $RM -r ${TESTDIR}$loop
+		[[ -d ${TESTDIR}$loop ]] && log_must rm -r ${TESTDIR}$loop
 
 		((loop = loop + 1))
 	done
@@ -92,7 +92,7 @@
 #
 typeset -i num=1
 while (($num < $RESV_NUM_FS)); do
-	log_must $ZFS set reservation=$resv_size_set $TESTPOOL/$TESTFS$num
+	log_must zfs set reservation=$resv_size_set $TESTPOOL/$TESTFS$num
 	((num = num + 1))
 done
 
@@ -106,7 +106,7 @@
 num=0
 log_note "Writing to $TESTDIR$num/$TESTFILE1"
 
-$FILE_WRITE -o create -f $TESTDIR$num/$TESTFILE1 -b $BLOCK_SIZE \
+file_write -o create -f $TESTDIR$num/$TESTFILE1 -b $BLOCK_SIZE \
     -c $write_count -d 0
 ret=$?
 if (($ret != $ENOSPC)); then
@@ -116,9 +116,9 @@
 # Remove the reservation on one of the other filesystems and verify
 # can write more data to the original non-reservation filesystem.
 num=1
-log_must $ZFS set reservation=none $TESTPOOL/${TESTFS}$num
+log_must zfs set reservation=none $TESTPOOL/${TESTFS}$num
 num=0
-log_must $FILE_WRITE -o create -f ${TESTDIR}$num/$TESTFILE2 -b $PAGESIZE \
+log_must file_write -o create -f ${TESTDIR}$num/$TESTFILE2 -b pagesize \
     -c 1000 -d 0
 
 log_pass "reducing reservation allows other datasets to use space"
